﻿Public Class Form2

    Private Sub Form2_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        ' /* あまり好きでないので、メモリーより消去 */
        Me.Dispose()
    End Sub

    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        With DataGridView1
            .RowCount = 6
            .Rows(0).Cells(0).Value = "Disable"
            .Rows(1).Cells(0).Value = "Hiragana"
            .Rows(2).Cells(0).Value = "Katakana"
            .Rows(3).Cells(0).Value = "KatakanaHalf"
            .Rows(4).Cells(0).Value = "AlphaFull"
            .Rows(5).Cells(0).Value = "Alpha"

            .SelectionMode = DataGridViewSelectionMode.FullRowSelect
            .RowsDefaultCellStyle.BackColor = Color.White ' /* 奇数行の色（白色）*/
            .AlternatingRowsDefaultCellStyle.BackColor = Color.LemonChiffon ' ' /* 偶数行の色（薄い黄色） */
        End With
        ' /* 呼出元への戻り値を初期化 */
        Me.Owner.Tag = ""
    End Sub

    Private Sub DataGridView1_CellDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView1.CellDoubleClick
        ' /* 呼出元への戻り値を戻します */
        If e.RowIndex >= 0 Then
            Me.Owner.Tag = DataGridView1.CurrentRow.Cells(0).Value.ToString
            Me.Close()
        End If
    End Sub
End Class